<?php
class Tutorium
{
  	public $id = -1,
  		$seminar_id	= -1,
  		$teacher = '',
  		$time	= '',
  		$room	= '',
  		$max_size = 0,
  		$current_max_size = 0,
  		$participants = 0;
  	private $user;

	public function __construct($user, $id=-1)
	{
		$this->user = $user;
		$this->id = $id;

		if (!empty($id))
		{
			$data = DBManager::Get()->query("SELECT seminar_id, tutor, time, room, max_size FROM tutorium_main WHERE id='{$id}' LIMIT 1")->fetch(PDO::FETCH_ASSOC);
			if ($data)
			{
				$this->seminar_id = $data['seminar_id'];
				$this->teacher = $data['tutor'];
				$this->time = $data['time'];
				$this->room = $data['room'];
				$this->max_size = $data['max_size'];
			}

			$this->participants = DBManager::Get()->query("SELECT COUNT(*) FROM tutorium_student WHERE tutorium_id='{$this->id}' AND seminar_id='{$this->seminar_id}'")->fetchColumn();
		}
	}

	/**
	 * delete
	 */
	public function delete()
	{
		$is_tutor_or_dozent = DBManager::Get()->query("SELECT 1 FROM seminar_user WHERE Seminar_id='{$this->seminar_id}' AND user_id='{$this->user->getUserid()}' AND status IN ('tutor', 'dozent')");
		if (empty($this->id) or !$is_tutor_or_dozent)
		{
			return false;
		}
		// tutorium
		DBManager::Get()->exec("DELETE FROM tutorium_main WHERE id='{$this->id}'");
		DBManager::Get()->exec("DELETE FROM tutorium_student WHERE tutorium_id='{$this->id}'");

		return true;
	}

	/**
	 * get the users details
	 */
	public function getUsersDetails()
	{
		return DBManager::Get()->query("SELECT a.user_id, Nachname AS last_name, Vorname AS first_name, Email, username AS user_name FROM auth_user_md5 AS a INNER JOIN tutorium_student USING (user_id) WHERE tutorium_id='{$this->id}' AND seminar_id='{$this->seminar_id}' ORDER BY Nachname ASC")->fetchAll(PDO::FETCH_ASSOC);
	}

	public function getTutor()
	{
		$userm = new UserManagement();
		$userm->getFromDatabase($this->teacher);
		return array(
			'user_id' => $userm->user_data['auth_user_md5.user_id'],
			'user_name' => $userm->user_data['auth_user_md5.username'],
			'first_name' => $userm->user_data['auth_user_md5.Vorname'],
			'last_name' => $userm->user_data['auth_user_md5.Nachname']
		);
	}
	
	/**
	 * fgt einen benutzer dem tutorium hinzu
	 * @param md5 $user_id
	 */
	public function addStudent($user_id)
	{
	    
	    return DBManager::get()->exec("INSERT INTO tutorium_student (seminar_id, tutorium_id, user_id, ts) VALUES ('{$this->seminar_id}', '{$this->id}', '{$user_id}', NOW()) ON DUPLICATE KEY UPDATE tutorium_id=VALUES(tutorium_id)");
	}
	
	/**
	 * lscht einen teilnehmer aus einem tutorium
	 * @param md5 $user_id
	 */
	public function deleteStudent($user_id)
	{
        return DBManager::get()->exec("DELETE FROM tutorium_student WHERE seminar_id='{$this->seminar_id}' AND tutorium_id='{$this->id}' AND user_id='{$user_id}'");
	}
}
?>