--
-- **** Changes for the update ****
-- TUTORIE is now TUTORIEN, type error
--

CREATE TABLE IF NOT EXISTS `TUTORIEN` (
  `seminar_id` varchar(32) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
	`ts` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`seminar_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



--
-- **** Changes for the update ****
-- `max_size` disapears from TUTORIE, but first shoulb be added a new field
-- to TUTORIUM_MAIN and then the content has to be copied there
--

CREATE TABLE IF NOT EXISTS `TUTORIUM_MAIN` (
  `id` int(11) NOT NULL auto_increment,
  `seminar_id` varchar(32) default NULL,
  `tutor` varchar(32) NOT NULL,
  `time` varchar(255) NOT NULL,
  `room` varchar(255) NOT NULL,
  `max_size` smallint(5) unsigned NOT NULL,
  `dozent_id` varchar(32) NOT NULL,
  `ts` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


--
-- **** Changes for the update ****
-- `occupied` disapears
-- `max_size`get the values from TUTORIE
-- text -> varchar(255)
--

CREATE TABLE IF NOT EXISTS `TUTORIUM_STUDENT` (
  `seminar_id` varchar(32) NOT NULL,
  `tutorium_id` int(11) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `ts` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`seminar_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


--
-- **** Changes for the update ****
-- `note`is no longer needed
-- `placed`is no longer needed


CREATE TABLE IF NOT EXISTS `TUTORIUM_SITZUNG` (
  `tutorium_id` int(11) NOT NULL default '0',
  `student_id` varchar(32) default NULL,
  `aufgabe1` varchar(11) default '0',
  `aufgabe2` varchar(11) default '0',
  `aufgabe3` varchar(11) default '0',
  `aufgabe4` varchar(11) default '0',
  `aufgabe5` varchar(11) default '0',
  `aufgabe6` varchar(11) default '0',
  `note` varchar(8)  default NULL,
  `thema` varchar(32) default NULL,
  `sitzung` varchar(32) default NULL,
  `punkte_gesamt` varchar(11) default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `TUTORIUM_THEMA` (
  `tutorium_id` int(11) NOT NULL default '0',
  `sitzung` text,
  `thema` text
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
